/*
 * Creado el 12-feb-04
 *
 * Para cambiar la plantilla para este archivo generado vaya a
 * Ventana&gt;Preferencias&gt;Java&gt;Generación de código&gt;Código y comentarios
 */
package es.ejie.frmk.presentacion.sesiondatos.utilidades;

import java.io.InputStream;

import es.ejie.frmk.control.arranque.Q70GestorArranqueConfiguracionServidor;

/**
 * @version 1.0
 * Fecha: 12-feb-04
 */
public class Q70ContextoUtilidades {

	/**
	 * Compara dos objetos del mismo tipo
	 * @param obj1
	 * @param obj2
	 * @return
	 */
	public static boolean compare(Object obj1, Object obj2) {
		if ((obj1 == null && obj2 != null) || (obj1 != null && obj2 == null)) {
			return false;
		}
		if (obj1 != null && obj2 != null) {
			if (!obj1.equals(obj2)) {
				return false;
			}
		}
		return true;
	}

	public static InputStream getInputStream(String rutaFileXML) {
		return getInputStream(true, rutaFileXML);
	}
	
	public static InputStream getInputStream(boolean isFicheroGlobal, String rutaFileXML) {
		InputStream is = null;
		if ( isFicheroGlobal ){
			is = Q70GestorArranqueConfiguracionServidor.getGlobalResourceAsStream(rutaFileXML);			
		}
		if ( is == null){
			is = Q70GestorArranqueConfiguracionServidor.getApplicationConfigAsStream(rutaFileXML);			
		}
		return is;
	}	
}
